classification
Title: json.load docs should mention that it always return unicode
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, ezio.melotti, python-dev, techtonik, tshepang
Priority: normal Keywords: easy

Created on 2013-03-16 12:11 by techtonik, last changed 2013-03-29 05:15 by techtonik. This issue is now closed.

Messages (5)
msg184308 - (view) Author: anatoly techtonik (techtonik) Date: 2013-03-16 12:11
Strings returned in the object returned from json.load() seem to be always unicode, but it is not documented. Python 2.7
msg185042 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-23 12:40
It's documented in the table at http://docs.python.org/2/library/json.html#json.JSONDecoder, but indeed a link to the table should be added in the docs of load/loads (and similarly to the dump/dumps docs too).
msg185480 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-03-29 02:02
New changeset 80d7545594ca by Ezio Melotti in branch '2.7':
#17438: add links to the conversion tables in dump(s)/load(s).
http://hg.python.org/cpython/rev/80d7545594ca

New changeset e76952bd4fa5 by Ezio Melotti in branch '3.3':
#17438: add links to the conversion tables in dump(s)/load(s).
http://hg.python.org/cpython/rev/e76952bd4fa5

New changeset 5dcd7ee0716a by Ezio Melotti in branch 'default':
#17438: merge with 3.3.
http://hg.python.org/cpython/rev/5dcd7ee0716a
msg185481 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-03-29 02:03
Fixed, thanks for the report!
msg185490 - (view) Author: anatoly techtonik (techtonik) Date: 2013-03-29 05:15
Thanks for the fix. ;)
History
Date User Action Args
2013-03-29 05:15:46techtoniksetmessages: + msg185490
2013-03-29 02:03:12ezio.melottisetstatus: open -> closed
versions: - Python 3.2
messages: + msg185481

assignee: docs@python -> ezio.melotti
resolution: fixed
stage: needs patch -> resolved
2013-03-29 02:02:30python-devsetnosy: + python-dev
messages: + msg185480
2013-03-23 12:40:15ezio.melottisettype: enhancement
versions: + Python 3.2, Python 3.3, Python 3.4
keywords: + easy
nosy: + ezio.melotti

messages: + msg185042
stage: needs patch
2013-03-22 18:52:36tshepangsetnosy: + tshepang
2013-03-16 12:11:45techtonikcreate